NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Drawings::RevolvedSectionLineBuilder Class Reference

Represents a NXOpen::Drawings::RevolvedSectionLineBuilder . More...

Inheritance diagram for NXOpen::Drawings::RevolvedSectionLineBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::PointEndLocation1 ()
 Returns the end location 1 which determines the position of the first arrow segment in the section line. More...
 
NXOpen::PointEndLocation2 ()
 Returns the end location 2 which determines the position of the second arrow segment in the section line
More...
 
NXOpen::Drawings::SectionLineSegmentBuilderListLeg1 ()
 Returns the list of cut and bend segments for the first leg. More...
 
NXOpen::Drawings::SectionLineSegmentBuilderListLeg2 ()
 Returns the list of cut and bend segments for the second leg. More...
 
NXOpen::PointRotationPoint ()
 Returns the rotation point. More...
 
void SetEndLocation1 (NXOpen::Point *endLocation1)
 Sets the end location 1 which determines the position of the first arrow segment in the section line. More...
 
void SetEndLocation2 (NXOpen::Point *endLocation2)
 Sets the end location 2 which determines the position of the second arrow segment in the section line
More...
 
void SetRotationPoint (NXOpen::Point *rotationPoint)
 Sets the rotation point. More...
 
void SetSingleLeg (bool singleLeg)
 Sets the single leg indicator. More...
 
bool SingleLeg ()
 Returns the single leg indicator. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Drawings::RevolvedSectionLineBuilder .

This class is used to create or edit a NXOpen::Drawings::RevolvedSectionLine .

Deprecated:
Deprecated in NX10.0.0. Use Drawings::SectionViewBuilder::SectionViewType instead.


Created in NX6.0.0.

Member Function Documentation

NXOpen::Point* NXOpen::Drawings::RevolvedSectionLineBuilder::EndLocation1 ( )

Returns the end location 1 which determines the position of the first arrow segment in the section line.


Deprecated:
Deprecated in NX10.0.0. This API is not supported yet and should not be used.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::Drawings::RevolvedSectionLineBuilder::EndLocation2 ( )

Returns the end location 2 which determines the position of the second arrow segment in the section line

Deprecated:
Deprecated in NX10.0.0.

This API is not supported yet and should not be used.


Created in NX6.0.0.

License requirements : None

NXOpen::Drawings::SectionLineSegmentBuilderList* NXOpen::Drawings::RevolvedSectionLineBuilder::Leg1 ( )

Returns the list of cut and bend segments for the first leg.

The list will contain NXOpen::Drawings::SectionLineSegmentBuilder::TypesCut and NXOpen::Drawings::SectionLineSegmentBuilder::TypesBend types of NXOpen::Drawings::SectionLineSegmentBuilder segments.

Note that there is no order to the elements of this list since the order is determined by the hinge and arrow direction.

Deprecated:
Deprecated in NX10.0.0. This API is not supported yet and should not be used.


Created in NX6.0.0.

License requirements : None

NXOpen::Drawings::SectionLineSegmentBuilderList* NXOpen::Drawings::RevolvedSectionLineBuilder::Leg2 ( )

Returns the list of cut and bend segments for the second leg.

This leg is not valid if the single leg indicator is set.

The list will contain NXOpen::Drawings::SectionLineSegmentBuilder::TypesCut and NXOpen::Drawings::SectionLineSegmentBuilder::TypesBend types of NXOpen::Drawings::SectionLineSegmentBuilder segments.

Note that there is no order to the elements of this list since the order is determined by the hinge and arrow direction.

Deprecated:
Deprecated in NX10.0.0. This API is not supported yet and should not be used.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::Drawings::RevolvedSectionLineBuilder::RotationPoint ( )

Returns the rotation point.

The rotation point identifies position of the axis that the section line is to revolve about.

Deprecated:
Deprecated in NX10.0.0. Use Drawings::SectionLineSegmentsBuilder::RotationPoint


Created in NX6.0.0.

License requirements : None

void NXOpen::Drawings::RevolvedSectionLineBuilder::SetEndLocation1 ( NXOpen::Point endLocation1)

Sets the end location 1 which determines the position of the first arrow segment in the section line.


Deprecated:
Deprecated in NX10.0.0. This API is not supported yet and should not be used.


Created in NX6.0.0.

License requirements : drafting ("DRAFTING")

Parameters
endLocation1endlocation1
void NXOpen::Drawings::RevolvedSectionLineBuilder::SetEndLocation2 ( NXOpen::Point endLocation2)

Sets the end location 2 which determines the position of the second arrow segment in the section line

Deprecated:
Deprecated in NX10.0.0.

This API is not supported yet and should not be used.


Created in NX6.0.0.

License requirements : drafting ("DRAFTING")

Parameters
endLocation2endlocation2
void NXOpen::Drawings::RevolvedSectionLineBuilder::SetRotationPoint ( NXOpen::Point rotationPoint)

Sets the rotation point.

The rotation point identifies position of the axis that the section line is to revolve about.

Deprecated:
Deprecated in NX10.0.0. Use Drawings::SectionLineSegmentsBuilder::SetRotationPoint


Created in NX6.0.0.

License requirements : drafting ("DRAFTING")

Parameters
rotationPointrotationpoint
void NXOpen::Drawings::RevolvedSectionLineBuilder::SetSingleLeg ( bool  singleLeg)

Sets the single leg indicator.

Set this flag to true to create a revolved section line that contains only one leg.

Deprecated:
Deprecated in NX10.0.0. Use Drawings::SectionLineSegmentsBuilder::SetSingleLeg


Created in NX6.0.0.

License requirements : drafting ("DRAFTING")

Parameters
singleLegsingleleg
bool NXOpen::Drawings::RevolvedSectionLineBuilder::SingleLeg ( )

Returns the single leg indicator.

Set this flag to true to create a revolved section line that contains only one leg.

Deprecated:
Deprecated in NX10.0.0. Use Drawings::SectionLineSegmentsBuilder::SingleLeg


Created in NX6.0.0.

License requirements : None

virtual bool NXOpen::Drawings::RevolvedSectionLineBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.